System.Design 1.0.5000.0 2.0.0.0 System.ComponentModel.Design.ComponentDesigner To be added.

Provides basic design-time functionality for ASP.NET server controls.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Property
  System.Web.UI.Design.IHtmlControlDesignerBehavior To be added.

  The property is obsolete. Use the and methods on the property to map properties to styles. Use the method on the class to set styles for the control at design time.

  Gets or sets the DHTML behavior that is associated with the designer.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use ControlDesigner.Tag instead")
- Property
  System.Web.UI.DataBindingCollection To be added. To be added.

  Gets the data bindings collection for the current control.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added.

  The property is used by the designer to retrieve the design-time object representing the control that is associated with the object on the design surface.

  Gets the design-time object representing the control that is associated with the object on the design surface.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use new WebFormsRootDesigner feature instead. It is not used anymore", true)
- Method
  System.Void ``

  This method is called by the public Dispose() method and the method. Dispose() invokes the protected Dispose(Boolean) method with the parameter set to true. invokes Dispose with set to false.

  When the parameter is true, this method releases all resources held by any managed objects that this references. This method invokes the Dispose() method of each referenced object.

  Releases the unmanaged resources that are used by the object and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources. 1.0.5000.0 2.0.0.0
- Property
  2.0.0.0
  System.Web.UI.ExpressionBindingCollection To be added.

  The design host, such as vsprvslong, uses the class to get the class to get the to set expressions for control properties at design time. Expression strings reference a localizable resource, an application setting, a connection string, or a custom expression type.

  The collection contains an element for each control property that has an associated expression string. Each property for each element indicates the associated expression builder implementation. The expression string is parsed and evaluated by its associated to determine the control property value at run time.

  Gets the expression bindings for the current control at design time.

- Method
  2.0.0.0
  System.Void ``

  The method should be called by the designer host to initialize the designer.

  Initializes the designer and sets the component for design.

  The control element for design.
- Method
  System.Void

  The method is obsolete. Use the and methods on the property to map properties to styles. Use the method on the class to set styles for the control at design time. Override the method to manipulate the initial styles for the control at design time.

  Called when a behavior is associated with the element.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use ControlDesigner.Tag instead")
- Method
  System.Void

  The method is obsolete. Use the and methods on the property to map properties to styles. Use the method on the class to set styles for the control at design time. Override the method for the control designer to perform actions before the designer object is released.

  Called when a behavior disassociates from the element.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Use ControlDesigner.Tag instead")
- Method
  System.Void ``

  The method should be called by a control designer after the control designer has made a change to the data bindings for the control.

  The method is obsolete. Use the event on the collection for equivalent control designer functionality.

  Provides a method that can be used to indicate when a data binding has changed.

  The name of the property that has changed. 1.0.5000.0 2.0.0.0 System.Obsolete("Use DataBinding.Changed event instead")
- Method
  System.Void To be added.

  Provides a way to perform additional processing when the associated control is attached to a parent control.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  The method provides a way to add items to or remove items from the dictionary of events that a designer exposes through a object.

  The keys in the dictionary of events are the names of the events. The objects are of type .

  Sets the list of events that are exposed at design-time for the object for the component.

  An that contains the names of the events of the component to expose. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  The method provides a way to add items to or remove items from the dictionary of properties that a designer exposes through a object.

  The keys in the dictionary of properties are the names of the properties. The objects are of type .

  Allows the designer to expose a specific set of properties through a object at design time.

  The set of properties to filter for the component. 1.0.5000.0 2.0.0.0
- Property
  System.Boolean To be added. To be added.

  Gets or sets a value indicating whether to create a field declaration for the control in the code-behind file for the current design document during serialization.

  1.0.5000.0
  2.0.0.0
  System.Obsolete("Code serialization is not supported in 2.0 anymore")